﻿' 空白ページのアイテム テンプレートについては、http://go.microsoft.com/fwlink/?LinkId=234238 を参照してください
Option Strict On
Imports Windows.System.Threading
Imports Windows.Storage
Imports Windows.UI.Popups

''' <summary>
''' それ自体で使用できる空白ページまたはフレーム内に移動できる空白ページ。
''' </summary>
Public NotInheritable Class MainPage
    Inherits Page

    ''' <summary>
    ''' このページがフレームに表示されるときに呼び出されます。
    ''' </summary>
    ''' <param name="e">このページにどのように到達したかを説明するイベント データ。Parameter 
    ''' プロパティは、通常、ページを構成するために使用します。</param>
    ''' 
    Dim myTimer As New DispatcherTimer
    Dim Index As Integer = 0
    Dim myPictureFiles As IReadOnlyList(Of IStorageFile)
    Protected Overrides Async Sub OnNavigatedTo(e As Navigation.NavigationEventArgs)
        Dim pictureFolder As StorageFolder = KnownFolders.PicturesLibrary
        Dim pictureSubFolder As StorageFolder = Await pictureFolder.CreateFolderAsync("ageRecords", CreationCollisionOption.OpenIfExists)
        myPictureFiles = Await pictureSubFolder.GetFilesAsync()
        If myPictureFiles.Count <= 0 Then
            Dim message As MessageDialog = New MessageDialog("表示するファイルがありません")
            Await message.ShowAsync()
            Exit Sub
        End If
    End Sub

    Private Sub Button1_Click(sender As Object, e As RoutedEventArgs) Handles Button1.Click
        myTimer.Interval = New TimeSpan(0, 0, CInt(0.5))
        Select Case Button1.Content.ToString
            Case "表示"
                AddHandler myTimer.Tick, AddressOf myTimer_Tick
                myTimer.Start()
                Button1.Content = "中止"
            Case "中止"
                myTimer.Stop()
                RemoveHandler myTimer.Tick, AddressOf myTimer_Tick
                Button1.Content = "表示"
        End Select
    End Sub

    Private Async Sub myTimer_Tick(sender As Object, e As Object)

        If Index >= myPictureFiles.Count Then
            Index = 0
            myTimer.Stop()
            RemoveHandler myTimer.Tick, AddressOf myTimer_Tick
            Button1.Content = "表示"
        Else
            TextBox1.Text = Index.ToString
            Dim bmp As New BitmapImage
            bmp.SetSource(Await myPictureFiles(Index).OpenReadAsync)
            Image1.Source = bmp
            Index += 1

        End If
    End Sub

End Class
